//+------------------------------------------------------------------+
//|                                                        Medbs.mq4 |
//|                      Copyright  2006, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1 White
#property indicator_color2 Red
#property indicator_color3 LightBlue
//---- input parameters
extern int       period_atr=50;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,ExtMapBuffer3);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+

/*
I started learning MQL4 now but it's not easy at the beginning. 
I am not a programmer, the syntax seems to be pretty complex for me. 
Therefore I want to know if somebody could give me a very short code just for my orientation. 
The indicator should only place horizantelly in a window and draw instantly: 
  -firstly (Price-lowest of the current day)/ATR of the day before, 
  -secondly, (Highest of the current day-Price)/ATR of the day before, 
  -and finally, (Highest of the current day-Lowest of the current day)/ATR of the day before. 
That's all. I only want to know how a good programmed code looks like. 
Then I can use this small code to keep on learning and testing. 
But at the moment I don't even know how to create a structure in the Metaeditor. 
I only wrote down // My first MQL4 try... And that's not enough... ;-)

Thank you very much!
*/


int start()
{
   int limit;
   int counted_bars=IndicatorCounted();
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
//---- macd counted in the 1-st buffer   
   double atr;
   // for previous day assumes close prices (my guess)
   // current day close is the same as ask/bid price
   for(int i=0; i<limit; i++) {  // i iterates through the values: 0,1,2,3,..., limit.    
      atr = iATR(Symbol(),0,period_atr,i+1);  // 0 means current time_frame; 'i+1' is a day after than 'i'      
      if(atr==0) // to avoid division by zero below
         continue; // iterate to the next value 
      ExtMapBuffer1[i] = (Close[i]-Low[i] )/atr;             
      ExtMapBuffer2[i] = (High[i]-Close[i])/atr;           // learn about arrays
      ExtMapBuffer3[i] = (High[i]-Low[i]  )/atr;  //learn about the prededence of operators: + - / *           
   }
   
   /*
   // for the current day, assumes ask price
   atr = iATR(Symbol(),0,period_atr,1);  // previous day atr
   ExtMapBuffer1[0] = (Ask-Low[i] )/atr;             
   ExtMapBuffer2[0] = (High[i]-Ask)/atr;           // learn about arrays
   ExtMapBuffer3[0] = (High[i]-Low[i]  )/atr;
   */
   return(0);
}
//+------------------------------------------------------------------+